incompatible version of icpc and gnu

Problems with Dalton installation? Find answers or ask for help here
Post Reply
tkjaer
Posts: 300
Joined: 27 Aug 2013, 20:35
First name(s): Thomas
Last name(s): Kjaergaard

incompatible version of icpc and gnu

Post by tkjaer » 29 Jan 2014, 16:06

If Compiling gives the error:

Warning #2928: the __GXX_EXPERIMENTAL_CXX0X__ macro is disabled when using GNU version 4.6 with the c++0x option

/usr/include/c++/4.7.2/ext/atomicity.h(48): error: identifier "__ATOMIC_ACQ_REL" is undefined
{ return __atomic_fetch_add(__mem, __val, __ATOMIC_ACQ_REL); }
^
/usr/include/c++/4.7.2/ext/atomicity.h(48): error: identifier "__atomic_fetch_add" is undefined
{ return __atomic_fetch_add(__mem, __val, __ATOMIC_ACQ_REL); }
^
/usr/include/c++/4.7.2/ext/atomicity.h(52): error: identifier "__ATOMIC_ACQ_REL" is undefined
{ __atomic_fetch_add(__mem, __val, __ATOMIC_ACQ_REL); }
^
/usr/include/c++/4.7.2/ext/atomicity.h(52): error: identifier "__atomic_fetch_add" is undefined
{ __atomic_fetch_add(__mem, __val, __ATOMIC_ACQ_REL); }
^
compilation aborted for /home/sisyphos/NightlyTesting/tmp/DaltonIfortDebug/LSDALTON/geomopt/dqdx.cpp (code 2)

The reason may be an incompatibility between icpc version 12.1.5 and the gnu version 4.7.2

TK

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest